package com.ejie.aa21b.model;

import java.math.BigDecimal;
import java.util.Date;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.aa21b.util.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;

/**
 * Aa21b20s01  
 * 
 *  
 */

public class Aa21b20s01Consultas implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	// Clave compuesta
	private Long cserv20;
	private String dserv20;
	private String eserv20;
	private String cexpe20;
	private Long aexpe20;
	private Integer nexpe20;
	private Date faper20;
	private String objeto20;
	private Integer bloq20;
	private Date fcier20;
	private Long crespo20;
	private String cpais20;
	private String cprov20;
	private String cmuni20;
	private String obser20;
	private BigDecimal eimpor20;
	private BigDecimal eimpora20;
	private String cdepar20;
	private String carchi20;
	private String ubica20;
	private String cesta20;
	private String usub20;
	private String refer20;
	private Date fvto20;
	private String expant20;

	private Date faper20desde;
	private Date faper20hasta;
	private Date fcier20desde;
	private Date fcier20hasta;
	private Date fvto20desde;
	private Date fvto20hasta;

	private String refExp;

	private String desta20;
	private String eesta20;
	private String darchi20;
	private String earchi20;
	private String drespo20;
	private String ddepar20;
	private String edepar20;
	private String dmuni20;

	private String ctrami20;
	private String conTareas;
	private int caducadas;

	public int getCaducadas() {
		return caducadas;
	}

	public void setCaducadas(int caducadas) {
		this.caducadas = caducadas;
	}

	public boolean isConTareas() {
		return conTareas != null && conTareas.equals("on");
	}

	public void setConTareas(String conTareas) {
		this.conTareas = conTareas;
	}

	public String getRefer20() {
		return refer20;
	}

	public void setRefer20(String refer20) {
		this.refer20 = refer20;
	}

	/**
	 * @return the idExpe
	 */
	public String getIdExpe() {
		return cserv20 + "-" + cexpe20 + "-" + aexpe20 + "-" + nexpe20;
	}

	/**
	 * @param idExpe
	 *            the id to set
	 */
	public void setIdExpe(String idExpe) {
		String[] ids = idExpe.split("-");
		this.cserv20 = new Long(ids[0]);
		this.cexpe20 = ids[1];
		this.aexpe20 = new Long(ids[2]);
		this.nexpe20 = new Integer(ids[3]);
	}

	/**
	 * Method 'Aa21b20s01'.
	 */
	public Aa21b20s01Consultas() {
	}

	/**
	 * Method 'Aa21b20s01'.
	 * 
	 * @param cserv20
	 *            Long
	 * @param cexpe20
	 *            String
	 * @param aexpe20
	 *            Long
	 * @param nexpe20
	 *            Integer
	 */
	public Aa21b20s01Consultas(Long cserv20, String cexpe20, Long aexpe20,
			Integer nexpe20) {
		this.cserv20 = cserv20;
		this.cexpe20 = cexpe20;
		this.aexpe20 = aexpe20;
		this.nexpe20 = nexpe20;
	}

	/**
	 * 
	 * @param cserv20
	 * @param cexpe20
	 * @param aexpe20
	 * @param nexpe20
	 * @param refExp
	 * @param cesta20
	 */
	public Aa21b20s01Consultas(Long cserv20, String cexpe20, Long aexpe20,
			Integer nexpe20, String refExp, String cesta20) {
		this.cserv20 = cserv20;
		this.cexpe20 = cexpe20;
		this.aexpe20 = aexpe20;
		this.nexpe20 = nexpe20;
		this.refExp = refExp;
		this.cesta20 = cesta20;
	}

	/**
	 * Method 'Aa21b20s01'.
	 * 
	 * @param cserv20
	 *            Long
	 * @param dserv20
	 *            String
	 * @param eserv20
	 *            String
	 * @param cexpe20
	 *            String
	 * @param aexpe20
	 *            Long
	 * @param nexpe20
	 *            Integer
	 * @param faper20
	 *            Date
	 * @param objeto20
	 *            String
	 * @param bloq20
	 *            Integer
	 * @param fcier20
	 *            Date
	 * @param crespo20
	 *            Long
	 * @param cpais20
	 *            String
	 * @param cprov20
	 *            String
	 * @param cmuni20
	 *            String
	 * @param obser20
	 *            String
	 * @param eimpor20
	 *            BigDecimal
	 * @param eimpora20
	 *            BigDecimal
	 * @param depar20
	 *            String
	 * @param carchi20
	 *            String
	 * @param ubica20
	 *            String
	 * @param cesta20
	 *            String
	 * @param usub20
	 *            String
	 * @param fvto20
	 *            Date
	 * @param faper20desde
	 *            Date
	 * @param faper20hasta
	 *            Date
	 * @param fcier20desde
	 *            Date
	 * @param fcier20hasta
	 *            Date
	 * @param fvto20desde
	 *            Date
	 * @param fvto20hasta
	 *            Date
	 * @param refExp
	 *            String
	 * @param desta20
	 *            String
	 * @param eesta20
	 *            String
	 * @param darchi20
	 *            String
	 * @param earchi20
	 *            String
	 * @param drespo20
	 *            String
	 * @param ddepar20
	 *            String
	 * @param edepar20
	 *            String
	 * @param dmuni20
	 *            String
	 */
	public Aa21b20s01Consultas(Long cserv20, String dserv20, String eserv20,
			String cexpe20, Long aexpe20, Integer nexpe20, Date faper20,
			String objeto20, Integer bloq20, Date fcier20, Long crespo20,
			String cpais20, String cprov20, String cmuni20, String obser20,
			BigDecimal eimpor20, BigDecimal eimpora20, String depar20,
			String carchi20, String ubica20, String cesta20, String usub20,
			Date fvto20, Date faper20desde, Date faper20hasta,
			Date fcier20desde, Date fcier20hasta, Date fvto20desde,
			Date fvto20hasta, String refExp, String desta20, String eesta20,
			String darchi20, String earchi20, String drespo20, String ddepar20,
			String edepar20, String dmuni20, String expant20) {

		this.cserv20 = cserv20;
		this.dserv20 = dserv20;
		this.eserv20 = eserv20;
		this.cexpe20 = cexpe20;
		this.aexpe20 = aexpe20;
		this.nexpe20 = nexpe20;
		this.faper20 = faper20;
		this.objeto20 = objeto20;
		this.bloq20 = bloq20;
		this.fcier20 = fcier20;
		this.crespo20 = crespo20;
		this.cpais20 = cpais20;
		this.cprov20 = cprov20;
		this.cmuni20 = cmuni20;
		this.obser20 = obser20;
		this.eimpor20 = eimpor20;
		this.eimpora20 = eimpora20;
		this.cdepar20 = cdepar20;
		this.carchi20 = carchi20;
		this.ubica20 = ubica20;
		this.cesta20 = cesta20;
		this.usub20 = usub20;
		this.fvto20 = fvto20;
		this.faper20desde = faper20desde;
		this.faper20hasta = faper20hasta;
		this.fcier20desde = fcier20desde;
		this.fcier20hasta = fcier20hasta;
		this.fvto20desde = fvto20desde;
		this.fvto20hasta = fvto20hasta;
		this.refExp = refExp;
		this.desta20 = desta20;
		this.eesta20 = eesta20;
		this.darchi20 = darchi20;
		this.earchi20 = earchi20;
		this.drespo20 = drespo20;
		this.ddepar20 = ddepar20;
		this.edepar20 = edepar20;
		this.dmuni20 = dmuni20;
		this.expant20 = expant20;
	}

	/**
	 * Method 'getCserv20'.
	 * 
	 * @return Long
	 */

	public Long getCserv20() {
		return this.cserv20;
	}

	/**
	 * Method 'setCserv20'.
	 * 
	 * @param cserv20
	 *            Long
	 * @return
	 */

	public void setCserv20(Long cserv20) {
		this.cserv20 = cserv20;
	}

	/**
	 * Method 'getCexpe20'.
	 * 
	 * @return String
	 */

	public String getCexpe20() {
		return this.cexpe20;
	}

	/**
	 * Method 'setCexpe20'.
	 * 
	 * @param cexpe20
	 *            String
	 * @return
	 */

	public void setCexpe20(String cexpe20) {
		this.cexpe20 = cexpe20;
	}

	/**
	 * Method 'getAexpe20'.
	 * 
	 * @return Long
	 */

	public Long getAexpe20() {
		return this.aexpe20;
	}

	/**
	 * Method 'setAexpe20'.
	 * 
	 * @param aexpe20
	 *            Long
	 * @return
	 */

	public void setAexpe20(Long aexpe20) {
		this.aexpe20 = aexpe20;
	}

	/**
	 * Method 'getNexpe20'.
	 * 
	 * @return Integer
	 */

	public Integer getNexpe20() {
		return this.nexpe20;
	}

	/**
	 * Method 'setNexpe20'.
	 * 
	 * @param nexpe20
	 *            Integer
	 * @return
	 */

	public void setNexpe20(Integer nexpe20) {
		this.nexpe20 = nexpe20;
	}

	/**
	 * Method 'getFaper20'.
	 * 
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFaper20() {
		return this.faper20;
	}

	/**
	 * Method 'setFaper20'.
	 * 
	 * @param faper20
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFaper20(Date faper20) {
		this.faper20 = faper20;
	}

	/**
	 * Method 'getObjeto20'.
	 * 
	 * @return String
	 */

	public String getObjeto20() {
		return this.objeto20;
	}

	/**
	 * Method 'setObjeto20'.
	 * 
	 * @param objeto20
	 *            String
	 * @return
	 */

	public void setObjeto20(String objeto20) {
		this.objeto20 = objeto20;
	}

	/**
	 * Method 'getBloq20'.
	 * 
	 * @return Integer
	 */

	public Integer getBloq20() {
		return this.bloq20;
	}

	/**
	 * Method 'setBloq20'.
	 * 
	 * @param bloq20
	 *            Integer
	 * @return
	 */

	public void setBloq20(Integer bloq20) {
		this.bloq20 = bloq20;
	}

	/**
	 * Method 'getFcier20'.
	 * 
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFcier20() {
		return this.fcier20;
	}

	/**
	 * Method 'setFcier20'.
	 * 
	 * @param fcier20
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFcier20(Date fcier20) {
		this.fcier20 = fcier20;
	}

	/**
	 * Method 'getCrespo20'.
	 * 
	 * @return Long
	 */

	public Long getCrespo20() {
		return this.crespo20;
	}

	/**
	 * Method 'setCrespo20'.
	 * 
	 * @param crespo20
	 *            Long
	 * @return
	 */

	public void setCrespo20(Long crespo20) {
		this.crespo20 = crespo20;
	}

	/**
	 * Method 'getCpais20'.
	 * 
	 * @return String
	 */

	public String getCpais20() {
		return this.cpais20;
	}

	/**
	 * Method 'setCpais20'.
	 * 
	 * @param cpais20
	 *            String
	 * @return
	 */

	public void setCpais20(String cpais20) {
		this.cpais20 = cpais20;
	}

	/**
	 * Method 'getCprov20'.
	 * 
	 * @return String
	 */

	public String getCprov20() {
		return this.cprov20;
	}

	/**
	 * Method 'setCprov20'.
	 * 
	 * @param cprov20
	 *            String
	 * @return
	 */

	public void setCprov20(String cprov20) {
		this.cprov20 = cprov20;
	}

	/**
	 * Method 'getCmuni20'.
	 * 
	 * @return String
	 */

	public String getCmuni20() {
		return this.cmuni20;
	}

	/**
	 * Method 'setCmuni20'.
	 * 
	 * @param cmuni20
	 *            String
	 * @return
	 */

	public void setCmuni20(String cmuni20) {
		this.cmuni20 = cmuni20;
	}

	/**
	 * Method 'getObser20'.
	 * 
	 * @return String
	 */

	public String getObser20() {
		return this.obser20;
	}

	/**
	 * Method 'setObser20'.
	 * 
	 * @param obser20
	 *            String
	 * @return
	 */

	public void setObser20(String obser20) {
		this.obser20 = obser20;
	}

	/**
	 * Method 'getEimpor20'.
	 * 
	 * @return BigDecimal
	 */

	public BigDecimal getEimpor20() {
		return this.eimpor20;
	}

	/**
	 * Method 'setEimpor20'.
	 * 
	 * @param eimpor20
	 *            BigDecimal
	 * @return
	 */

	public void setEimpor20(BigDecimal eimpor20) {
		this.eimpor20 = eimpor20;
	}

	/**
	 * Method 'getEimpora20'.
	 * 
	 * @return BigDecimal
	 */

	public BigDecimal getEimpora20() {
		return this.eimpora20;
	}

	/**
	 * Method 'setEimpora20'.
	 * 
	 * @param eimpora20
	 *            BigDecimal
	 * @return
	 */

	public void setEimpora20(BigDecimal eimpora20) {
		this.eimpora20 = eimpora20;
	}

	/**
	 * Method 'getDepar20'.
	 * 
	 * @return String
	 */

	public String getCdepar20() {
		return this.cdepar20;
	}

	/**
	 * Method 'setDepar20'.
	 * 
	 * @param depar20
	 *            String
	 * @return
	 */

	public void setCdepar20(String cdepar20) {
		this.cdepar20 = cdepar20;
	}

	/**
	 * Method 'getCarchi20'.
	 * 
	 * @return String
	 */

	public String getCarchi20() {
		return this.carchi20;
	}

	/**
	 * Method 'setCarchi20'.
	 * 
	 * @param carchi20
	 *            String
	 * @return
	 */

	public void setCarchi20(String carchi20) {
		this.carchi20 = carchi20;
	}

	/**
	 * Method 'getUbica20'.
	 * 
	 * @return String
	 */

	public String getUbica20() {
		return this.ubica20;
	}

	/**
	 * Method 'setUbica20'.
	 * 
	 * @param ubica20
	 *            String
	 * @return
	 */

	public void setUbica20(String ubica20) {
		this.ubica20 = ubica20;
	}

	/**
	 * Method 'getCesta20'.
	 * 
	 * @return String
	 */

	public String getCesta20() {
		return this.cesta20;
	}

	/**
	 * Method 'setCesta20'.
	 * 
	 * @param cesta20
	 *            String
	 * @return
	 */

	public void setCesta20(String cesta20) {
		this.cesta20 = cesta20;
	}

	/**
	 * Method 'getUsub20'.
	 * 
	 * @return String
	 */

	public String getUsub20() {
		return this.usub20;
	}

	/**
	 * Method 'setUsub20'.
	 * 
	 * @param usub20
	 *            String
	 * @return
	 */

	public void setUsub20(String usub20) {
		this.usub20 = usub20;
	}

	/**
	 * Method 'getFvto20'.
	 * 
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFvto20() {
		return this.fvto20;
	}

	/**
	 * Method 'setFvto20'.
	 * 
	 * @param fvto20
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFvto20(Date fvto20) {
		this.fvto20 = fvto20;
	}

	/**
	 * Method 'getFaper20desde'.
	 * 
	 * @return java.util.Date
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFaper20desde() {
		return faper20desde;
	}

	/**
	 * Method 'setFaper20desde'.
	 * 
	 * @param faper20desde
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFaper20desde(Date faper20desde) {
		this.faper20desde = faper20desde;
	}

	/**
	 * Method 'getFaper20hasta'.
	 * 
	 * @return java.util.Date
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFaper20hasta() {
		return faper20hasta;
	}

	/**
	 * Method 'setFaper20hasta'.
	 * 
	 * @param faper20hasta
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFaper20hasta(Date faper20hasta) {
		this.faper20hasta = faper20hasta;
	}

	/**
	 * Method 'getFcier20desde'.
	 * 
	 * @return java.util.Date
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFcier20desde() {
		return fcier20desde;
	}

	/**
	 * Method 'setFcier20desde'.
	 * 
	 * @param fcier20desde
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFcier20desde(Date fcier20desde) {
		this.fcier20desde = fcier20desde;
	}

	/**
	 * Method 'getFcier20hasta'.
	 * 
	 * @return java.util.Date
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFcier20hasta() {
		return fcier20hasta;
	}

	/**
	 * Method 'setFcier20hasta'.
	 * 
	 * @param fcier20hasta
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFcier20hasta(Date fcier20hasta) {
		this.fcier20hasta = fcier20hasta;
	}

	/**
	 * Method 'getFvto20desde'.
	 * 
	 * @return java.util.Date
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFvto20desde() {
		return fvto20desde;
	}

	/**
	 * Method 'setFvto20desde'.
	 * 
	 * @param fvto20desde
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFvto20desde(Date fvto20desde) {
		this.fvto20desde = fvto20desde;
	}

	/**
	 * Method 'getFvto20hasta'.
	 * 
	 * @return java.util.Date
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFvto20hasta() {
		return fvto20hasta;
	}

	/**
	 * Method 'setFvto20hasta'.
	 * 
	 * @param fvto20hasta
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFvto20hasta(Date fvto20hasta) {
		this.fvto20hasta = fvto20hasta;
	}

	/**
	 * Method 'getRefExp'.
	 * 
	 * @return String
	 */
	public String getRefExp() {
		return refExp;
	}

	/**
	 * Method 'setRefExp'.
	 * 
	 * @param refExp
	 *            String
	 * @return
	 */
	public void setRefExp(String refExp) {
		this.refExp = refExp;
	}

	public String getDserv20() {
		return dserv20;
	}

	public void setDserv20(String dserv20) {
		this.dserv20 = dserv20;
	}

	public String getEserv20() {
		return eserv20;
	}

	public void setEserv20(String eserv20) {
		this.eserv20 = eserv20;
	}

	public String getDesta20() {
		return desta20;
	}

	public void setDesta20(String desta20) {
		this.desta20 = desta20;
	}

	public String getEesta20() {
		return eesta20;
	}

	public void setEesta20(String eesta20) {
		this.eesta20 = eesta20;
	}

	public String getDarchi20() {
		return darchi20;
	}

	public void setDarchi20(String darchi20) {
		this.darchi20 = darchi20;
	}

	public String getEarchi20() {
		return earchi20;
	}

	public void setEarchi20(String earchi20) {
		this.earchi20 = earchi20;
	}

	public String getDrespo20() {
		return drespo20;
	}

	public void setDrespo20(String drespo20) {
		this.drespo20 = drespo20;
	}

	public String getDdepar20() {
		return ddepar20;
	}

	public void setDdepar20(String ddepar20) {
		this.ddepar20 = ddepar20;
	}

	public String getEdepar20() {
		return edepar20;
	}

	public void setEdepar20(String edepar20) {
		this.edepar20 = edepar20;
	}

	public String getDmuni20() {
		return dmuni20;
	}

	public void setDmuni20(String dmuni20) {
		this.dmuni20 = dmuni20;
	}

	public String getCtrami20() {
		return ctrami20;
	}

	public void setCtrami20(String ctrami20) {
		this.ctrami20 = ctrami20;
	}

	public String getExpant20() {
		return expant20;
	}

	public void setExpant20(String expant20) {
		this.expant20 = expant20;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		// Clave compuesta

		result.append("[ cserv20: ").append(this.cserv20).append(" ]");

		result.append(", [ cexpe20: ").append(this.cexpe20).append(" ]");

		result.append(", [ aexpe20: ").append(this.aexpe20).append(" ]");

		result.append(", [ nexpe20: ").append(this.nexpe20).append(" ]");
		result.append(", [ faper20: ").append(this.faper20).append(" ]");
		result.append(", [ objeto20: ").append(this.objeto20).append(" ]");
		result.append(", [ bloq20: ").append(this.bloq20).append(" ]");
		result.append(", [ fcier20: ").append(this.fcier20).append(" ]");
		result.append(", [ crespo20: ").append(this.crespo20).append(" ]");
		result.append(", [ cpais20: ").append(this.cpais20).append(" ]");
		result.append(", [ cprov20: ").append(this.cprov20).append(" ]");
		result.append(", [ cmuni20: ").append(this.cmuni20).append(" ]");
		result.append(", [ obser20: ").append(this.obser20).append(" ]");
		result.append(", [ eimpor20: ").append(this.eimpor20).append(" ]");
		result.append(", [ eimpora20: ").append(this.eimpora20).append(" ]");
		result.append(", [ cdepar20: ").append(this.cdepar20).append(" ]");
		result.append(", [ carchi20: ").append(this.carchi20).append(" ]");
		result.append(", [ ubica20: ").append(this.ubica20).append(" ]");
		result.append(", [ cesta20: ").append(this.cesta20).append(" ]");
		result.append(", [ usub20: ").append(this.usub20).append(" ]");
		result.append(", [ fvto20: ").append(this.fvto20).append(" ]");
		result.append(", [ expant20: ").append(this.expant20).append(" ]");
		result.append(", [ faper20desde: ").append(this.faper20desde)
				.append(" ]");
		result.append(", [ faper20hasta: ").append(this.faper20hasta)
				.append(" ]");
		result.append(", [ fcier20desde: ").append(this.fcier20desde)
				.append(" ]");
		result.append(", [ fcier20hasta: ").append(this.fcier20hasta)
				.append(" ]");
		result.append(", [ fvto20desde: ").append(this.fvto20desde)
				.append(" ]");
		result.append(", [ fvto20hasta: ").append(this.fvto20hasta)
				.append(" ]");
		result.append(", [ desta20: ").append(this.desta20).append(" ]");
		result.append(", [ eesta20: ").append(this.eesta20).append(" ]");
		result.append(", [ darchi20: ").append(this.darchi20).append(" ]");
		result.append(", [ earchi20: ").append(this.earchi20).append(" ]");
		result.append(", [ drespo20: ").append(this.drespo20).append(" ]");
		result.append(", [ ddepar20: ").append(this.ddepar20).append(" ]");
		result.append(", [ edepar20: ").append(this.edepar20).append(" ]");
		result.append(", [ dmuni20: ").append(this.dmuni20).append(" ]");
		result.append(", [ ctrami20: ").append(this.ctrami20).append(" ]");
		result.append("}");
		return result.toString();
	}

}
